### Class

# Gcr SshAskpass

#### Description [src]

    final class Gcr.SshAskpass : GObject.Object
    {
      /* No available fields */
    }

When used as the setup function while spawning an ssh command like ssh-add or ssh, this allows callbacks for passwords on the provided interaction.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gcr_ssh_askpass_new

Create a new GcrSshAskpass object which can be used to spawn an ssh command and prompt for any necessary passwords.

#### Functions

###### gcr_ssh_askpass_child_setup

Use this function as a callback setup function passed to g_spawn_sync(), g_spawn_async(), g_spawn_async_with_pipes().

#### Instance methods

###### gcr_ssh_askpass_get_interaction

Get the interaction associated with this object.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gcr.SshAskpass:interaction

The interaction used to prompt for passwords.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrSshAskpassClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.